---

- name: determine ansible binary urls
  set_fact:
    canopy_bin_url: https://build.mergetb.net/bin/canopy.arm7
    canopy_server_bin_url: https://build.mergetb.net/bin/canopy-server.arm7
  when: ansible_architecture | search("arm7")

- name: determine ansible binary urls
  set_fact:
    canopy_bin_url: https://build.mergetb.net/bin/canopy.amd64
    canopy_server_bin_url: https://build.mergetb.net/bin/canopy-server.amd64
  when: ansible_architecture | search("x86_64")

- name: fetch canopy bianry
  get_url:
    url: "{{canopy_bin_url}}"
    dest: /usr/bin/canopy
    mode: "a+x"
  when: canopy_bin is not defined

- name: fetch canopy-server binary
  get_url:
    url: "{{canopy_server_bin_url}}"
    dest: /usr/bin/canopy-server
    mode: "a+x"
    force: true
  when: canopy_server_bin is not defined

- name: install canopy binary
  copy:
    src: "{{canopy_bin}}"
    dest: /usr/bin/canopy
    mode: "a+x"
    remote_src: true
    force: true
  when: canopy_bin is defined

- name: install canopy server binary
  copy:
    src: "{{canopy_server_bin}}"
    dest: /usr/bin/canopy-server
    mode: "a+x"
    remote_src: true
  when: canopy_server_bin is defined

- name: install canopy systemd service
  copy:
    src: canopy.service
    dest: /lib/systemd/system/canopy.service

- name: enable and launch canopy systemd service
  service:
    name: canopy
    state: restarted
    enabled: true
